<?php
/**
 * Dependency helpers.
 *
 * @package MailDoctor
 */

namespace MailDoctor\Helpers;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Dependency helpers.
 */
class Dependencies {

	/**
	 * Determine if WooCommerce is active.
	 *
	 * @return bool
	 */
	public static function is_woocommerce_available(): bool {
		return class_exists( 'WooCommerce' );
	}

	/**
	 * Basic WP version support check.
	 *
	 * @return bool
	 */
	public static function is_wordpress_supported(): bool {
		global $wp_version;

		return version_compare( $wp_version, '6.0', '>=' );
	}
}
